<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="ru">
	<id>http://wiki.ministation.ru//index.php?action=history&amp;feed=atom&amp;title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%3APageButton%2Fstyles.css</id>
	<title>Шаблон:PageButton/styles.css - История изменений</title>
	<link rel="self" type="application/atom+xml" href="http://wiki.ministation.ru//index.php?action=history&amp;feed=atom&amp;title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%3APageButton%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="http://wiki.ministation.ru//index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:PageButton/styles.css&amp;action=history"/>
	<updated>2026-06-21T10:19:43Z</updated>
	<subtitle>История изменений этой страницы в вики</subtitle>
	<generator>MediaWiki 1.44.0</generator>
	<entry>
		<id>http://wiki.ministation.ru//index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:PageButton/styles.css&amp;diff=60&amp;oldid=prev</id>
		<title>Als: Новая страница: «.pagebutton {     --pagebutton-transition: calc(var(--transition-time) * 2);     --color-tmp-100: var(--tmp-100);     --color-tmp-75: var(--tmp-75);     --color-tmp-50: var(--tmp-50);     --color-tmp-25: var(--tmp-25);     --color-tmp-10: var(--tmp-10);  	user-select: none; 	position: relative; 	display: inline-flex; 	flex-direction: column; 	overflow: hidden; 	outline: 1px outset var(--color-tmp-25); 	border-radius: var(--border-radius-small); 	transition-p...»</title>
		<link rel="alternate" type="text/html" href="http://wiki.ministation.ru//index.php?title=%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD:PageButton/styles.css&amp;diff=60&amp;oldid=prev"/>
		<updated>2025-07-26T21:50:17Z</updated>

		<summary type="html">&lt;p&gt;Новая страница: «.pagebutton {     --pagebutton-transition: calc(var(--transition-time) * 2);     --color-tmp-100: var(--tmp-100);     --color-tmp-75: var(--tmp-75);     --color-tmp-50: var(--tmp-50);     --color-tmp-25: var(--tmp-25);     --color-tmp-10: var(--tmp-10);  	user-select: none; 	position: relative; 	display: inline-flex; 	flex-direction: column; 	overflow: hidden; 	outline: 1px outset var(--color-tmp-25); 	border-radius: var(--border-radius-small); 	transition-p...»&lt;/p&gt;
&lt;p&gt;&lt;b&gt;Новая страница&lt;/b&gt;&lt;/p&gt;&lt;div&gt;.pagebutton {&lt;br /&gt;
    --pagebutton-transition: calc(var(--transition-time) * 2);&lt;br /&gt;
    --color-tmp-100: var(--tmp-100);&lt;br /&gt;
    --color-tmp-75: var(--tmp-75);&lt;br /&gt;
    --color-tmp-50: var(--tmp-50);&lt;br /&gt;
    --color-tmp-25: var(--tmp-25);&lt;br /&gt;
    --color-tmp-10: var(--tmp-10);&lt;br /&gt;
&lt;br /&gt;
	user-select: none;&lt;br /&gt;
	position: relative;&lt;br /&gt;
	display: inline-flex;&lt;br /&gt;
	flex-direction: column;&lt;br /&gt;
	overflow: hidden;&lt;br /&gt;
	outline: 1px outset var(--color-tmp-25);&lt;br /&gt;
	border-radius: var(--border-radius-small);&lt;br /&gt;
	transition-property: box-shadow, outline-color, transform;&lt;br /&gt;
	transition-duration: var(--pagebutton-transition);&lt;br /&gt;
	transition-timing-function: var(--linear-bounce);&lt;br /&gt;
	z-index: 1;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton:hover {&lt;br /&gt;
    --pagebutton-transition: var(--transition-time);&lt;br /&gt;
    --color-tmp-100: var(--hover-100, var(--tmp-100));&lt;br /&gt;
    --color-tmp-75: var(--hover-75, var(--tmp-75));&lt;br /&gt;
    --color-tmp-50: var(--hover-50, var(--tmp-50));&lt;br /&gt;
    --color-tmp-25: var(--hover-25, var(--tmp-25));&lt;br /&gt;
    --color-tmp-10: var(--hover-10, var(--tmp-10));&lt;br /&gt;
&lt;br /&gt;
	box-shadow: 0 0.2rem 0.4rem var(--color-tmp-75);&lt;br /&gt;
	transform: translateY(-0.25rem);&lt;br /&gt;
	transition-timing-function: ease;&lt;br /&gt;
	z-index: 2;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-image {&lt;br /&gt;
	flex: 1;&lt;br /&gt;
	display: inline-flex;&lt;br /&gt;
	justify-content: center;&lt;br /&gt;
	background-color: var(--color-tmp-10);&lt;br /&gt;
	transition-property: background-color;&lt;br /&gt;
	transition-duration: var(--pagebutton-transition);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-image a {&lt;br /&gt;
	transition-property: filter;&lt;br /&gt;
	transition-duration: var(--transition-time);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton:active .pagebutton-image a {&lt;br /&gt;
	filter: drop-shadow(0 0 6px var(--color-tmp-75));&lt;br /&gt;
	transition-duration: 0s;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-image a,&lt;br /&gt;
.pagebutton-image span {&lt;br /&gt;
	display: inline-flex;&lt;br /&gt;
	justify-content: center;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-image img {&lt;br /&gt;
	padding: 0.5em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-text {&lt;br /&gt;
	overflow: hidden;&lt;br /&gt;
	display: inline-flex;&lt;br /&gt;
	align-items: center;&lt;br /&gt;
	justify-content: center;&lt;br /&gt;
	height: calc(1.25rem + 1px);&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
	white-space: nowrap;&lt;br /&gt;
	background-color: hsl(from var(--color-tmp-75) h var(--adjust-s) var(--adjust-bg-l));&lt;br /&gt;
	color: var(--color-white) !important;&lt;br /&gt;
	border-top: 1px solid hsl(from var(--color-tmp-75) h var(--adjust-s) var(--adjust-bd-l));&lt;br /&gt;
	transition-property: background-color, border;&lt;br /&gt;
	transition-duration: var(--pagebutton-transition);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-text a {&lt;br /&gt;
	color: var(--color-white) !important;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.pagebutton-text a:before {&lt;br /&gt;
	content: &amp;#039;&amp;#039;;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	inset: 0;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Als</name></author>
	</entry>
</feed>